Bug 66746 - Postfix package should provide /usr/bin/newaliases
Postfix package should provide /usr/bin/newaliases
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
: 70404 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-06-14 16:05 EDT by Miguel Armas
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-14 16:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miguel Armas 2002-06-14 16:05:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
Mailman package requires /usr/bin/newaliases and Postfix doesn't provide it. So to install Mailman without breaking dependencies we need both MTA. Postfix includes a newaliases program, but it is't reflected in the RPM database

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rpm -ivh mailman

Actual Results:  error: failed dependencies:
        /usr/bin/newaliases   is needed by mailman-2.0.9-1

Expected Results:  Install mailman, since I already have an MTA (PostFix)

Additional info:

Just add the /usr/bin/newaliases entry to the "Provides" section in the Postfix specfile
Comment 1 Nalin Dahyabhai 2002-08-12 22:21:45 EDT
*** Bug 70404 has been marked as a duplicate of this bug. ***
Comment 2 Arenas Belon, Carlo Marcelo 2003-03-29 18:47:25 EST
Even if this bug was fixed on the rawhide errata at that time, and later on the 
8.0 release of the package, it is important to realize that the current release 
of the postfix packafe for 7.3 is still broken, and the 8.0, or later binary 
package (including rawhide) is not meant to be a replacement as there is no 
binary compatibility between those releases.

it is a fairly easy to fix bug as you can :

1) --nodep the removal of sendmail (leaving an inconsistent rpm db)
2) add "Provides: /usr/bin/newaliases" to the postfix spec and install a
   --rebuild package (leaving a non standard/custom made package on the system)
3) just leave sendmail because of the dependency (an additional package that
   need to be administered even if not used)

eventhough, a formal "errata" from RedHat would be an even better solution


PS. adding karsten to the bug as he is the one that is responsable for the 
change on the 8.0 package if the %ChangeLog is to be trusted

Note You need to log in before you can comment on or make changes to this bug.